Skip to main content
GET
List reserved fixed IPs

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

4

Query Parameters

available_only
boolean
default:false

Set True if response should only list IP addresses that are not attached to any instance

device_id
string

Filter IPs by device ID it is attached to

external_only
boolean
default:false

Set to true if the response should only list public IP addresses

internal_only
boolean
default:false

Set to true if the response should only list private IP addresses

ip_address
string

Optional. An IPv4 address to filter results by. Regular expression allowed

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

order_by
enum<string>
default:fixed_ip_address.asc

Optional. Ordering reserved fixed IP list result by name, status, updated_at, fixed_ip_address or created_at fields of the reserved fixed IP and directions (status.asc).

Available options:
created_at.asc,
created_at.desc,
fixed_ip_address.asc,
fixed_ip_address.desc,
name.asc,
name.desc,
status.asc,
status.desc,
updated_at.asc,
updated_at.desc
vip_only
boolean
default:false

Set to true if the response should only list VIPs

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ReservedFixedIPSerializer · object[]
required

Objects